#1 12.06.2017 20.12.24

iznogud
Član
Registrovan: 03.08.2016
Poruke: 33

VMware player se ne pokrece

Instalirao sam VMware prateci uputstvo sa wiki: https://wiki.archlinux.org/index.php/VMware
Nisam instalirao ncurses5-compat-libs jer, koliko sam shvatio, nije obavezan (valjda samo ako hocu da instaliram sa --console?), i nadam se da to nema veze sa mojim problemom.
Instalacija je protekla u redu, i iz /etc/init.d sam pokrenuo servise, ali kada pokrenem aplikaciju sa

vmplayer

apsolutno nista se ne desi, cak ni sa sudo privilegijama.

Verovatno je neka smesna greska sa bibliotekama, ali nisam nasao resenje (proguglao sam nekoliko export-ova koji mi nisu pomogli).

Odjavljen

#2 12.06.2017 20.17.50

iznogud
Član
Registrovan: 03.08.2016
Poruke: 33

Odgovor: VMware player se ne pokrece

Ne mogu da prekopiram ovde logove, dobijam gresku da nemam dozvolu, tako da evo ih ovde:

https://pastebin.com/tvXZ4WRf

https://pastebin.com/1rbVAKJB

Odjavljen

#3 12.06.2017 20.51.13

Xabre
Administrator
Iz: Užice
Registrovan: 14.04.2013
Poruke: 592

Odgovor: VMware player se ne pokrece

    2017-06-12T19:58:01.424+02:00| appLoader| W115: Unable to load dependencies for /usr/lib/vmware/lib/libvmware-modconfig.so/libvmware-modconfig.so

    2017-06-12T19:58:01.424+02:00| appLoader| W115: Unable to execute /usr/lib/vmware/bin/vmware-modconfig.

Imaš li instalirane poslednjw mikrokodove?


HP ProBook 450 G1 |  Intel Core i3-4000M | 8GB DDR3 RAM @1600MHz | Intel HD4600 + AMD Radeon 8750M | KDE plasma 5
Life's a bitch, but root password helps.
<*>Univerzalno rešenje svih problema: RTFM/W - Read The Fucking Manual/Wiki<*>

Odjavljen

#4 12.06.2017 21.28.04

iznogud
Član
Registrovan: 03.08.2016
Poruke: 33

Odgovor: VMware player se ne pokrece

Upravo sam uradio

# grub-mkconfig -o /boot/grub/grub.cfg

ali i dalje isto...

EDIT: Za svaki slucaj sam pogledao grub.cfg i dobro je konfigurisan, tj. isto kao sto na wiki stranici pise kada bih ga manuelno prepravljao. intel-ucode paket je, naravno, azuriran. Restartovao sam racunar jos jednom za svaki slucaj, i nista se nije promenilo.

Poslednja promena iznogud (13.06.2017 00.03.04)

Odjavljen

#5 12.06.2017 23.57.54

Xabre
Administrator
Iz: Užice
Registrovan: 14.04.2013
Poruke: 592

Odgovor: VMware player se ne pokrece

To i dalje nije odgovor na pitanje.


HP ProBook 450 G1 |  Intel Core i3-4000M | 8GB DDR3 RAM @1600MHz | Intel HD4600 + AMD Radeon 8750M | KDE plasma 5
Life's a bitch, but root password helps.
<*>Univerzalno rešenje svih problema: RTFM/W - Read The Fucking Manual/Wiki<*>

Odjavljen

#6 13.06.2017 00.03.54

iznogud
Član
Registrovan: 03.08.2016
Poruke: 33

Odgovor: VMware player se ne pokrece

Pretpostavljao sam da nisam lepo shvatio big_smile
Kako to da proverim?

dmesg | grep microcode
[    0.000000] microcode: microcode updated early to revision 0x1c, date = 2015-02-26
[    0.588859] microcode: sig=0x306a9, pf=0x10, revision=0x1c
[    0.588920] microcode: Microcode Update Driver: v2.2.

Poslednja promena iznogud (13.06.2017 00.05.46)

Odjavljen

#7 13.06.2017 00.49.32

Xabre
Administrator
Iz: Užice
Registrovan: 14.04.2013
Poruke: 592

Odgovor: VMware player se ne pokrece

Reci mi, koja ti je verzija kernela, i kako si instalirao vmplayer? (da li imaš vmware-patch)


HP ProBook 450 G1 |  Intel Core i3-4000M | 8GB DDR3 RAM @1600MHz | Intel HD4600 + AMD Radeon 8750M | KDE plasma 5
Life's a bitch, but root password helps.
<*>Univerzalno rešenje svih problema: RTFM/W - Read The Fucking Manual/Wiki<*>

Odjavljen

#8 13.06.2017 14.52.28

iznogud
Član
Registrovan: 03.08.2016
Poruke: 33

Odgovor: VMware player se ne pokrece

uname -a
Linux archlinux 4.11.3-1-ARCH #1 SMP PREEMPT Sun May 28 10:40:17 CEST 2017 x86_64 GNU/Linux

Instalirao sam prvo fuse2, gksu, gtkmm, linux-headers, libcanberra, zatim sam skinuo VMware sa
https://my.vmware.com/en/web/vmware/fre … layer/12_0
i pokrenuo ga

# sh VMware-edition-version.release.architecture.bundle

Izgleda da nemam vmware-patch. Probacu sa tim, samo sto yaourt ne moze da mi prethodno instalira ncurses5-compat-libs jer "signature not verified".

Odjavljen

#9 13.06.2017 15.41.09

Xabre
Administrator
Iz: Užice
Registrovan: 14.04.2013
Poruke: 592

Odgovor: VMware player se ne pokrece

Dalje u tekstu lepo piše da radi samo sa kernelom <=4.8, a za novije ti treba vmware.patch iz AUR-a. I batali yaourt, uvek baguje.


HP ProBook 450 G1 |  Intel Core i3-4000M | 8GB DDR3 RAM @1600MHz | Intel HD4600 + AMD Radeon 8750M | KDE plasma 5
Life's a bitch, but root password helps.
<*>Univerzalno rešenje svih problema: RTFM/W - Read The Fucking Manual/Wiki<*>

Odjavljen

#10 13.07.2017 14.14.20

iznogud
Član
Registrovan: 03.08.2016
Poruke: 33

Odgovor: VMware player se ne pokrece

Kada buildujem patch, dobijem

[iznogud@archlinux vmware-patch]$ makepkg -si
==> Making package: vmware-patch 12.5.7-1 (Thu Jul 13 13:46:27 CEST 2017)
==> Checking runtime dependencies...
==> Installing missing dependencies...
error: target not found: ncurses5-compat-libs
==> ERROR: 'pacman' failed to install missing dependencies.

Iako sam instalirao ncurses5-combat-libs

[iznogud@archlinux ncurses5-compat-libs]$ makepkg -si
==> Making package: ncurses5-compat-libs 6.0+20170527-1 (Thu Jul 13 13:43:44 CEST 2017)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
  -> Downloading ncurses-6.0-20170527.tgz...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100 3212k  100 3212k    0     0   855k      0  0:00:03  0:00:03 --:--:--  854k
  -> Downloading ncurses-6.0-20170527.tgz.asc...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100   267  100   267    0     0    746      0 --:--:-- --:--:-- --:--:--   745
==> Validating source files with md5sums...
    ncurses-6.0-20170527.tgz ... Passed
    ncurses-6.0-20170527.tgz.asc ... Skipped
==> Verifying source file signatures with gpg...
    ncurses-6.0-20170527.tgz ... FAILED (unknown public key 702353E0F7E48EDB)
==> ERROR: One or more PGP signatures could not be verified!

Znam da pacman ne moze da instalira AUR pakete, ali ne znam zasto nece da prepozna iako sam ga manuelno instalirao... Ili nisam zbog ove greske?
Ranije sam koristio yaourt, i prvi put sam instaliram AUR pakete rucno (mislio sam da je mnogo teze pa sam u startu krenuo precicom), pa oprostite ako je odgovor ocigledan na wiki stranici....

Odjavljen

#11 13.07.2017 17.10.02

Xabre
Administrator
Iz: Užice
Registrovan: 14.04.2013
Poruke: 592

Odgovor: VMware player se ne pokrece

==> Verifying source file signatures with gpg...
    ncurses-6.0-20170527.tgz ... FAILED (unknown public key 702353E0F7E48EDB)
==> ERROR: One or more PGP signatures could not be verified!

Jasno ti kaže  čemu je problem.

Nije ni do pacman, ni doyaourta, ni do X, već do ključa, a na stranici za ncurse5-compat-libs u AUR-us stoji zakačena poruka na vrhu kako da uvezeš potreban ključ.
Dede potrudi se bar malo.


HP ProBook 450 G1 |  Intel Core i3-4000M | 8GB DDR3 RAM @1600MHz | Intel HD4600 + AMD Radeon 8750M | KDE plasma 5
Life's a bitch, but root password helps.
<*>Univerzalno rešenje svih problema: RTFM/W - Read The Fucking Manual/Wiki<*>

Odjavljen

#12 14.07.2017 12.59.12

iznogud
Član
Registrovan: 03.08.2016
Poruke: 33

Odgovor: VMware player se ne pokrece

Sada u logu dobijam

2017-07-14T12:51:48.222+02:00| appLoader| W115: Unable to load libfontconfig.so.1 from /usr/lib/vmware/lib/libfontconfig.so.1/libfontconfig.so.1: libexpat.so.0: cannot open shared object file: No such file or directory
2017-07-14T12:51:48.222+02:00| appLoader| W115: Unable to load dependencies for /usr/lib/vmware/lib/libvmware-modconfig.so/libvmware-modconfig.so
2017-07-14T12:51:48.222+02:00| appLoader| W115: Unable to execute /usr/lib/vmware/bin/vmware-modconfig.

Odjavljen

#13 14.07.2017 13.58.43

Xabre
Administrator
Iz: Užice
Registrovan: 14.04.2013
Poruke: 592

Odgovor: VMware player se ne pokrece

% pkgfile libfontconfig.so.1
extra/fontconfig
multilib/lib32-fontconfig
% pkgfile libexpat.so                                             :(
core/expat
multilib/lib32-expat

I dalje se ne trudiš.


HP ProBook 450 G1 |  Intel Core i3-4000M | 8GB DDR3 RAM @1600MHz | Intel HD4600 + AMD Radeon 8750M | KDE plasma 5
Life's a bitch, but root password helps.
<*>Univerzalno rešenje svih problema: RTFM/W - Read The Fucking Manual/Wiki<*>

Odjavljen

#14 14.07.2017 14.22.49

iznogud
Član
Registrovan: 03.08.2016
Poruke: 33

Odgovor: VMware player se ne pokrece

Dzabe se trudim kad ne razumem... Reinstalirao sam i ta 4 paketa, ali i dalje ista prica.

Problem je samo u linkovanju biblioteka, napravio sam skriptu za pokretanje koju sam video u komentaru za vmware-patch paket:
http://mihamina.rktmb.org/2017/07/vmwar … expat.html
(naravno stavio sam vmplayer umesto vmware)

Sada makar dobijam gresku u terminalu:

(vmware-modconfig:9922): Gtk-WARNING **: Unable to locate theme engine in module_path: "adwaita",
/usr/share/themes/Adwaita/gtk-2.0/main.rc:733: error: unexpected identifier `direction', expected character `}'

(vmware-modconfig:9922): Gtk-WARNING **: Unable to locate theme engine in module_path: "adwaita",
/usr/share/themes/Adwaita/gtk-2.0/hacks.rc:28: error: invalid string constant "normal_entry", expected valid string constant
Gtk-Message: Failed to load module "canberra-gtk-module": libcanberra-gtk-module.so: cannot open shared object file: No such file or directory

(vmplayer:9917): Gtk-WARNING **: Unable to locate theme engine in module_path: "adwaita",
/usr/share/themes/Adwaita/gtk-2.0/main.rc:733: error: unexpected identifier `direction', expected character `}'

(vmplayer:9917): Gtk-WARNING **: Unable to locate theme engine in module_path: "adwaita",
/usr/share/themes/Adwaita/gtk-2.0/hacks.rc:28: error: invalid string constant "normal_entry", expected valid string constant
Gtk-Message: Failed to load module "canberra-gtk-module": libcanberra-gtk-module.so: cannot open shared object file: No such file or directory
I/O warning : failed to load external entity "/etc/vmware/hostd/proxy.xml"
Fontconfig error: "/etc/fonts/conf.d/10-scale-bitmap-fonts.conf", line 72: non-double matrix element
Fontconfig error: "/etc/fonts/conf.d/10-scale-bitmap-fonts.conf", line 72: non-double matrix element
Fontconfig warning: "/etc/fonts/conf.d/10-scale-bitmap-fonts.conf", line 80: saw unknown, expected number

i ostajem tu zaglavljen...

Poslednja promena iznogud (14.07.2017 21.02.54)

Odjavljen

Podnožje foruma

Pokreće me FluxBB